# Created by pyp2rpm-3.3.2
%global pypi_name confusable-homoglyphs

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 3
Summary:        Detect confusable usage of unicode homoglyphs, prevent homograph attacks
Group:          Development/Python
License:        MIT
URL:            https://github.com/vhf/confusable_homoglyphs
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/confusable_homoglyphs-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Detect confusable usage of unicode homoglyphs, prevent homograph attacks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Detect confusable usage of unicode homoglyphs, prevent homograph attacks.

%prep
%autosetup -n confusable_homoglyphs-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst docs/readme.rst
%doc html
%{_bindir}/confusable_homoglyphs
%{python3_sitelib}/confusable_homoglyphs
%{python3_sitelib}/confusable_homoglyphs-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3.2.0-3.mga8
+ Revision: 1535092
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.2.0-2.mga8
+ Revision: 1451530
- rebuild with python 3.8

* Sat Aug 24 2019 wally <wally> 3.2.0-1.mga8
+ Revision: 1431767
- imported package python-confusable-homoglyphs

